/**
 * lazy build
 */
export const lazy = (fn) => {
    let data;
    return () => (data || (data = fn()));
};
/**
 * cache
 */
export const cached = (fn) => {
    let cached = {};
    return key => (cached[key] || (cached[key] = fn(key)));
};
